Skip to main content
`Ctrl`+`K`

# SVDKSVDPolarMethod

The method to compute the polar decomposition within the KSVD library.

## Synopsis

    typedef enum { SVD_KSVD_POLAR_QDWH   = 1,
                   SVD_KSVD_POLAR_ZOLOPD = 2 } SVDKSVDPolarMethod;

## Note

See the documentation of KSVD [Sukkari et al., 2019] for a description of the methods.

## References

[Suk19]

D. Sukkari, H. Ltaief, A. Esposito, and D. Keyes. A QDWH-based SVD software framework on distributed-memory manycore systems. ACM Trans. Math. Software, 2019. doi:10.1145/3309548.

## See Also

SVD: Singular Value Decomposition, `SVDKSVDSetPolarMethod()`, `SVDKSVDGetPolarMethod()`

## Level

advanced

## Location

include/slepcsvd.h

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages